Bug 111889 - [PATCH] cuts off long service names
[PATCH] cuts off long service names
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-services (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 04:33 EST by Michael Schwendt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 07:38:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2003-12-11 04:33:26 EST
--- servicemethods.py.orig      2003-10-22 16:09:43.000000000 +0200
+++ servicemethods.py   2003-12-11 10:23:14.000000000 +0100
@@ -200,7 +200,10 @@
         for i in chkconfig_list:
             x=re.split(r"\t", i.strip())
             end= x[0].rfind(":")
-            name=x[0][:end].strip()
+            if end >= 0:
+                name = x[0][:end].strip()
+            else:
+                name=x[0].strip()
             if name != "xinetd based services":
                 runlevel=x[1:]
                 if len(runlevel) > 1:


Version-Release number of selected component (if applicable):
redhat-config-services-0.8.5-23
Comment 1 Daniel Walsh 2003-12-11 07:38:09 EST
Added your patch to  system-config-services-0.8.6-1

Note the rename.

Dan

Note You need to log in before you can comment on or make changes to this bug.